Myriad Blog 1.3.0 Sunday, Sep 24th, 2017 at 11:24pm 

Monday, Dec 14th, 2009 at 05:32pm
Vers l'abandon de Windows 9x ?

 
 
 
Nous avons enfin pu, pendant quelques heures, réinstaller Windows 98 en machine virtuelle pour tester nos logiciels. Hélas, VirtualBox ne semble pas très doué pour gérer ces anciennes versions du système, et les crashs à répétition ont eu raison de notre test. Il ne nous reste plus qu'à recommencer une installation.
 
Mais entre-temps, nous avons pu lancer nos installateurs, et là, mauvaise nouvelle: ils ne fonctionnent plus pour des versions de Windows inférieures à Windows 2000.
 
Le nouveau compilateur (Visual C++) ne sait plus générer d'exécutables compatibles avec les anciennes versions du système du même éditeur. Outre les librairies de démarrage (Run-time libraries, appelées aussi "CRT") qui ont besoin de fonctions apparues avec Windows 2000, le compilateur marque les exécutables qu'il génère avec un sceau "Windows 2000 et supérieur" qu'il n'est apparemment pas possible de modifier.
 
Nous avons donc 5 solutions (si vous en trouvez une autre, exprimez-vous) :
 
1- Faire en sorte que ces exécutables, une fois compilés, soient à nouveau compatibles, par exemple changeant la version minimale nécessaire, et en court-circuitant les fonctions dans le CRT.
Pas génial, c'est un peu du bricolage, et cela revient à hacker nos propres programmes.
 
2- Reprendre et modifier les sources du CRT de Microsoft, et enlever ce qui est spécifique à Windows 2000.
Pas top, car nous ne disposons pas de ces sources, et cela rendrait difficile les évolutions dans les versions du compilateur. De plus, cela ne résoudrait pas le problème de la version minimale demandée, et nécessiterait tout de même de modifier les fichiers exécutables après compilation.
 
3- Compiler tant que c'est encore possible nos programmes sur notre ancien compilateur CodeWarrior, qui lui est resté compatible.
Possible, mais c'est reculer pour mieux sauter. Nous savons qu'au prochain changement de machine, nous aurons probablement un système récent (Windows 7) sur lequel CodeWarrior ne fonctionnera pas.
 
4- Fournir deux versions de nos produits, en conservant une machine sous Codewarrior qui compile pour Windows 9x.
Waouh, théoriquement possible, pratiquement difficile. Ce serait vraiment beaucoup de peine (machines multiple, maintien de la compatibilité de tous nos projets avec l'ancien système, double maintenance de tous nos produits...) pour un maigre résultat.
 
5- Abandonner purement et simplement la compatibilité Windows 9x. Il y a malheureusement encore des utilisateurs sous Windows 95, 98 ou ME. Même si nous leur laissont la possibilité de télécharger la dernière version compatible (9.4.7c) ils vont petit à petit perdre la compatibilité en fonctionnalités et en format de fichier avec les nouvelles versions du programme. C'est surtout dommage car, fonctionnellement, tous nos programmes tournent sans problème sur ces systèmes.
 
 
Cinq solutions, et aucune de satisfaisante. Nous allons, je crois, être obligés de déterminer quelle est  la moins mauvaise.
by Olivier Guillion
Comments

Comment from Gilbert Rouquié Monday, Dec 14th, 2009 at 06:15pm
(No subject)
Quand je me suis enregistré lors de l'enquête comme utilisant Windows 98, c'est avec un scrupule que vous faites éclater au grand jour.
 
J'utilise en parallèle Windows 98 et Linux Fedora 12. Ma machine est trop faible pour permettre à HA de tourner décemment en Linux sous Wine.
 
Mais que votre effort à réaliser une version HA Linux native se concrétise et je cesse d'utiliser HA sous Windows 98.
 
Sincèrement

Comment from CRI-CRI Monday, Dec 14th, 2009 at 06:17pm
(No subject)
En cherchant bien, on devrait retrouver des gens qui roulent encore en Juva 4, non ?  
 
Est-ce une raison suffisante pour garder le stock de pièces qui va avec ?
 
Au fait, combien coûte un PC de base aujourd'hui ?  
 

Comment from Nicou59 Monday, Dec 14th, 2009 at 07:05pm
Et bien , passez donc à Linux
Sauf erreurede ma part, Windows 95 et 98 ne sont plus maintenus par Windows. Il est donc difficile de vous imposer à vous ce travail. Je suggère à ces utilisateurs d'installer Ubuntu, ou Xubuntu si leur machine est vraiment limitée, et que vous continuiez votre développement pour Linux. Ainsi, ils pourront continuer à utiliser leur logiciel préféré en faisant juste d'installer sur leur système une petite partition dédiée à Linux.

Comment from Kedekero Tuesday, Dec 15th, 2009 at 08:29am
(No subject)
Pour les petites configurations informatiques et si l'on veut toujours se servir de sa "2CV qui roule encore", il y a également une petite distribution Linux nommée Toutou linux (c'est pas une blague) qui fonctionne même sur une clé USB avec environnement graphique et internet !
Je l'ai essayé ça fonctionne et il faut 256Mo !!!
Maintenant avec les clés de 1Go et + ça fait une sacrée marge.
Maintenant, est-ce que les utilisateurs W95/98 passeront sous linux ou achèteront un nouveau PC, c'est une autre histoire.
Mais à mon avis on a voudra pas à Myriad de ne plus maintenir ses logiciels sous W95/98.
Ceux qui veulent rester sous W95/98 resteront sous une version des logiciels Myriad compatibles.
D'un point de vue de l'engagement formel/informel de Myriad par rapport aux mises à jour à vie des logiciels, y a t-il une contradiction pour une version donnée et figée d'un OS ?
Je ne pense pas ...

Comment from toto Tuesday, Dec 15th, 2009 at 10:53am
Linux ou pas
Pour nos amis linuxiens (ou autres), en attendant que Harmony soit dispo sur leur plateforme, ils peuvent toujours essayer un logiciel open source comme MuseScore http://musescore.org/fr
Pas de support de 98 non plus je pense mais sur toutou, ubuntu etc... ça doit fonctionner.


Most recent first
Oldest first

Top of page
Legal information Last update:  (c) Myriad